type token =
  | PLUS
  | MINUS
  | TIMES
  | DIVIDE
  | MOD
  | COLON
  | SEMI
  | COMMA
  | ARROW
  | END
  | ASSIGN
  | PRINT
  | INTTOSTRING
  | LPAREN
  | RPAREN
  | QUOTE
  | LT
  | GT
  | EQ
  | QUESTION
  | INT of (int)
  | STRING of (string)
  | ID of (string)
  | EOF

val program :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Ast.program
